EDIT - bug #9059

Cancel taxon save does not clean the (factual data) cache
06/10/2020 01:34 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: blocker Found in Version:

Description

What | did:

e open a taxon in name editor

¢ change an existing fact

¢ close name editor without saving

e reopen name editor for same taxon => new data still exists, but shouldn't

e restart TaxEditor

e reopen name editor for same taxon => new data does not exist anymore, so it was not persisted (as expected)

Looks like the data is somehow cached.
Interesting is that neither changing name related data nor changing supplemental data has the same effect.

Associated revisions

Revision be22ce7d - 06/10/2020 09:30 AM - Katja Luther

fix #9059: clear featureNodeContainerCache when closing NameEditor

History

#1 - 06/10/2020 09:28 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|be22ce7df518ffa44a2ac886d8b4{84fd4497227.

#2 - 06/10/2020 09:29 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- Severity changed from critical to blocker

this should be fixed, please review.

#3 - 06/12/2020 05:18 PM - Andreas Miiller
| got an NPE when testing this ticket together with #9038

last remote method : http://localhost:50405/remoting/common.service
last remote request client time : 2020-06-12T16:51:58.119
last remote request response header time : Fri, 12 Jun 2020 16:51:58 +0200
client error time : 2020-06-12T16:52:07.31
login : admin
editor version : 5.15.0.202006121348
server : localhost (localhost mgd.) / cdm-test2
schema version : 5.15.1.0.20200610
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.editor.view.descriptive.ed4.FactualDataPartE4.changed (FactualDataPart
E4.java:208)
at eu.etaxonomy.taxeditor.view.e4.AbstractCdmEditorPartE4.changed (AbstractCdmEditorPartE4. java
:188)
at eu.etaxonomy.taxeditor.view.ed4.AbstractCdmDataViewerE4.markViewPartDirty (AbstractCdmDataVie
eu.etaxonomy.taxeditor.view.ed.details.DetailsViewerE4.markViewPartDirty (DetailsViewerE4. ja
eu.etaxonomy.taxeditor.view.ed.AbstractCdmDataViewerE4$1l.dirtyStateChanged (AbstractCdmbDataVv
org.eclipse.ui.forms.AbstractFormPart.markDirty (AbstractFormPart.java:93)
org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Text.wmCommandChild (Text. java:3122)

#4 - 06/12/2020 05:18 PM - Andreas Miuller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

#5 - 06/15/2020 06:06 PM - Katja Luther

- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Andreas Muller wrote:

| got an NPE when testing this ticket together with #9038

the NPE is fixed.

#6 - 06/15/2020 08:54 PM - Andreas Miuller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

Seems to work now
